Bug 1015297 - [abrt] fpaste-0.3.7.1-8.fc19: decoder.py:383:raw_decode:ValueError: No JSON object could be decoded
[abrt] fpaste-0.3.7.1-8.fc19: decoder.py:383:raw_decode:ValueError: No JSON o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
abrt_hash:a9f727365f840bdf43162af4ce2...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 16:43 EDT by Eric Blake
Modified: 2014-06-11 12:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: fpaste-0.3.7.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-19 21:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.64 KB, text/plain)
2013-10-03 16:43 EDT, Eric Blake
no flags Details
File: environ (3.26 KB, text/plain)
2013-10-03 16:43 EDT, Eric Blake
no flags Details

  None (edit)
Description Eric Blake 2013-10-03 16:43:38 EDT
Description of problem:
Tried to paste a large file; fpaste warned me, but then crashed anyway:

# fpaste /mnt/backup/dmesg.txt 
WARNING: your paste size (615.4KiB) is very large and may be rejected by the server. A pastebin is NOT a file hosting service!
Uploading (615.4KiB)...
Traceback (most recent call last):
  File "/usr/bin/fpaste", line 447, in <module>
    main()
  File "/usr/bin/fpaste", line 414, in main
    [url, short_url] = paste(text, options)
  File "/usr/bin/fpaste", line 127, in paste
    response = json.loads(f.read())
  File "/usr/lib64/python2.7/json/__init__.py", line 338, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python2.7/json/decoder.py", line 365, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python2.7/json/decoder.py", line 383, in raw_decode
    raise ValueError("No JSON object could be decoded")
ValueError: No JSON object could be decoded

Version-Release number of selected component:
fpaste-0.3.7.1-8.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        python /usr/bin/fpaste /mnt/backup/dmesg.txt
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /usr/bin/fpaste
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
#1 raw_decode in /usr/lib64/python2.7/json/decoder.py:383
#2 decode in /usr/lib64/python2.7/json/decoder.py:365
#3 loads in /usr/lib64/python2.7/json/__init__.py:338
#4 paste in /usr/bin/fpaste:127
#5 main in /usr/bin/fpaste:414
#6 <module> in /usr/bin/fpaste:447
Comment 1 Eric Blake 2013-10-03 16:43:41 EDT
Created attachment 807282 [details]
File: backtrace
Comment 2 Eric Blake 2013-10-03 16:43:44 EDT
Created attachment 807283 [details]
File: environ
Comment 3 Fedora Update System 2014-01-23 02:05:32 EST
fpaste-0.3.7.1-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc20
Comment 4 Fedora Update System 2014-01-23 02:06:12 EST
fpaste-0.3.7.1-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc19
Comment 5 Fedora Update System 2014-01-24 02:46:57 EST
Package fpaste-0.3.7.1-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1440/fpaste-0.3.7.1-11.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-01-24 21:23:19 EST
fpaste-0.3.7.1-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-01-28 22:09:57 EST
fpaste-0.3.7.1-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Frank Ch. Eigler 2014-04-07 13:29:26 EDT
Problem still seen on fpaste-0.3.7.1-11.fc19.noarch
Comment 9 Ankur Sinha (FranciscoD) 2014-04-15 04:38:31 EDT
This also breaks the --pasteself option. Looking into it.
Comment 10 Fedora Update System 2014-04-15 07:20:19 EDT
fpaste-0.3.7.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.2-1.fc19
Comment 11 Fedora Update System 2014-04-15 07:20:34 EDT
fpaste-0.3.7.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.2-1.fc20
Comment 12 lnie 2014-04-15 22:56:24 EDT
fpaste-0.3.7.2-1.fc20 works
Comment 13 Fedora Update System 2014-04-16 05:20:26 EDT
Package fpaste-0.3.7.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5206/fpaste-0.3.7.2-1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-04-19 21:25:59 EDT
fpaste-0.3.7.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-06-11 12:25:59 EDT
fpaste-0.3.7.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.